# Request a higher sender ID daily limit

Requests a higher sender ID daily limit.

```http
POST https://api.pozy.ai/v1/sms/sender-ids/limit-request
```

- Area: Messaging / SMS
- Auth: Authorization: Bearer pz_live_...
- Not available yet: calls return 403 feature_not_available

## Request body

Content type: `application/json`

- `requestedCap`, integer, required
- `reason`, string, required: 10 to 2000 characters

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/sms/sender-ids/limit-request" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "requestedCap": 1,
  "reason": "string"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/sms/sender-ids/limit-request", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    requestedCap: 1,
    reason: "string"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/sms/sender-ids/limit-request",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "requestedCap": 1,
        "reason": "string",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `requested`, boolean
- `requestedCap`, integer

```json
{
  "requested": true,
  "requestedCap": 1
}
```
